PowerLog Client Help System

Welcome to the PowerLog Client help system.

Please use the ‘tree menu’ to the left to select the section of PowerLog Client that you require help with.


Chapter 1 - What Is PowerLog Client?

PowerLog Client is the software application that you use to view the audio and data logs that your P Squared PowerLog Capture system captures and stores for a specified period of time. In general, PowerLog Captures primary function is to record and store the audio output from one or more radio stations and retain this ‘record of broadcast’ for a predetermined time period at what every quality(s) the station wishes. In addition to recording and storing audio, the PowerLog Capture system can be configured to capture and store a range of additional data sources to compliment the audio logs. The list below shows the data types that a typical PowerLog Capture system can log.

Audio – One or more mono / stereo audio logs (depending on license)

Hardware Inputs – Logs hardware inputs via a hardware I/O (sometimes called a GPI card). Typically this is used to log when the studio ‘mic’ is open.

Serial Data – Standard RS232 serial data used for a range of control purposes.

DAB Text (DLS Text) – Additional text information broadcast alongside DAB Digital Radio.

Silence – PowerLog logs any periods of silence in the audio it is logging and marks the silences on the log.

User Marks – Custom marks that can be added to each log to indicate areas of interest.

Although all of this information is captured and stored in the PowerLog Capture system, you can not access this information from PowerLog Capture directly. This is for two reasons, firstly, the PowerLog Capture system should be dedicated to logging and not burdened with playback duties and secondly, if you accessed the data via the PowerLog Capture PC then you could only do so from one place, so instead of accessing the data on the PowerLog Capture PC, you can access all of the data via the PowerLog Client software covered in this documentation.

The PowerLog Client is a freely available application which means that you do not need to purchase a license from P Squared in order to install PowerLog Client on to a PC. This also means that you are free to install PowerLog Client on any PC within your organisation that has a network connection to the PowerLog Capture system. So you can install PowerLog Client in technical areas, sales, management and DJ prep areas to allow all the key areas of our radio station to have access to your stations output (as well as your rivals output if you wish!).

Throughout this documentation, we will assume that we are working at a station that is using PowerLog Capture and is logging several of the above data sources but in fact P Squared also offer a cut down version of PowerLog Capture called PowerLog Lite. PowerLog Lite offers the same audio features as it’s big brother and uses the same PowerLog Client to access the audio logs but PowerLog Lite can only log a single stereo audio log and can not log any of the additional data types mentioned above. This means that when you are using PowerLog Client to access logs on a PowerLog Lite system, not all of the facilities mentioned in this documentation will be available.


Chapter 2 - Installing PowerLog Client

PowerLog Client can be installed on as many PC’s in your organisation as you wish as long as they cover the four criteria outlined below.

The must be on a PC running Windows XP as the base operating system.

They must have a network connection to the PowerLog Capture (or PowerLog Lite) PC.

They must be fitted with a standard sound card.

You must be logged in as a User with ‘administrator’ rights in order for the installation to be successful.

As long as the PC you wish to install PowerLog Client on covers these criteria, you should be fine.

N.B. P Squared no longer support Windows 2000 Pro as an operating system and can not guarantee that PowerLog Client will run correctly in computers running Windows 2000 but every effort has been made to maintain compatibility where ever possible.

To install PowerLog Client, you either need an installation disk from P Squared or you can download the PowerLog Client installation software from the P Squared web site.

When your PowerLog system is first delivered, it will arrive with an installation CD which you can use to install the software, however, you should check that the version installed by the CD is the latest available version as P Squared regularly updates it’s software to add new features and to address any issues that may be found. If in doubt, it is best to download the latest version from the P Squared web site. Please contact sales@psquared.net for the latest download details.

If you are using an installation CD, pop the CD in to CD drive and wait for the welcome page to automatically load. After a few seconds, a web page should appear with a menu system on it. Select the Install Powerlog Client option from the menu system and then follow the onscreen instructions to install the software.

Please note that if you are installing PowerLog Client in this method then you are effectively clicking on a hyperlink on a web page (running from the CD) so before the installation can start, you will first be asked whether you wish to run or save the target file. Select Run.

If you are installing from a downloaded file, locate the PLClient.msi file you have downloaded and double click on it, this will run the installation program, follow the onscreen instructions to install PowerLog Client on to the PC.

Remember – You must be logged on as a user with ‘administrator’ rights in order for the installation to be successful.

Either way, follow the onscreen instructions to install PowerLog Client on to your PC.

When you get to the point where you are asked what Setup Type you want, select the ‘Complete’ option and click Next.

Once PowerLog Client has been installed, you are ready to run it for the first time.


Chapter 3 - Running PowerLog Client For the First Time

Unlike the majority of P Squared products, you do not need to enter a license code in order to activate the PowerLog Client software. This means that once you have installed it, you are ready to run it almost immediately.

When you run PowerLog Client for the first time, you will be asked to supply the location of the PowerLog Capture system or the PowerLog Directory file that you wish PowerLog Client to connect to (see PowerLog.Ini File V’s PowerLog Directory Files).

You can either type in the location of the PowerLog Capture ‘ini’ file or PowerLog Directory File or use the Browse button to search for the location on your network.

There are three ways in which this can be set.

Use the browse option to find the PowerLog folder on the PowerLog Capture PC. PowerLog Client will then look inside this folder and select the appropriate PowerLog.ini file or if there is one, a PowerLog Directory file.

You can also specify the PowerLog.ini file that you wish PowerLog Client to use. To do this, open the general PowerLog folder and select the PowerLog.ini file.

Finally you can select a PowerLog directory file directly using the same method.

We will use method 2 in this example and select the PowerLog.ini file use the browse option. Once the file is selected, click on Open to return to the first window.

If this is correct then click on OK. PowerLog Client will then continue to start up.


PowerLog

PowerLog.ini Files V’s PowerLog Directory Files

In the last section we looked at how to configure PowerLog Client to use a specific PowerLog Capture PC as a prelude to running PowerLog Client for the first time. We looked at how we could configure PowerLog Client to either use a PowerLog.ini file or a PowerLog Directory File

But what the hell are we on about?

Well, the simple answer is that the PowerLog.ini file is a text file that contains all of the information that a PowerLog Client needs to connect to an d use the audio and data logs for a single PowerLog Capture system, where as a PowerLog Directory file is used to store the data needed to connect to multiple PowerLog Capture systems, allowing the PowerLog Client to access the audio and data logs from several different PowerLog Capture systems.

The PowerLog.ini file is the simplest method if you only have one PowerLog Capture PC at your station but if you have multiple PowerLog Capture boxes or you are part of a group that has several stations using PowerLog and you want PowerLog Client users to have access to these logs then you will need to build a Directory File that contains the reference information to all of these systems. When PowerLog Client connects to a Directory File, it collates all of the different PowerLog Capture system locations and presents them to the PowerLog Client user as if all the logs were on a single PowerLog Capture system allowing the user to access any of the logs regardless of which PowerLog Capture PC they are actually on.

Don’t worry about how to create a PowerLog Directory File just yet, we will cover that later in the Menu System>Tools Menu>PowerLog Directory Manager section later in this documentation.

For now, we will assume we are connecting to a single PowerLog Capture PC via the PowerLog.Ini file.


Chapter 4 - The PowerLog Client Basic Screen Layout

The main PowerLog Client can be viewed in two different modes depending on how much information you need to see.

Full View Mode – Shows all available information as well as the Compilation panel for extracting sections from the log editing or storage.

Compact View Mode – Only shows the General Info panel and Transport Controls, ideal for listening to logs whilst working on something else.

To switch PowerLog Client between Full View Mode and Compact View Mode, use the Mode Toggle button in the bottom right hand corner of the PowerLog Client.


Screen Playout In Full View Mode

Menu System – Provides access to the PowerLog Client menu system which is used to configure and customise PowerLog Client as well as providing access to a range of additional options and functions.

General Info Panel – This can be toggled between showing general information about the log you are working with and displaying ‘visualizations’ as the log is played.

Transport Controls – Allow you to control playback in PowerLog Client and navigate around in the log. This panel also shows you the time that the log you are currently viewing was recorded.

DAB Text – Shows the DAB (DLS) text that was logged alongside the section of the audio log that you are working with.

Hardware Marks Panel – Shows a visual representation of any hardware inputs logged alongside the audio. The more hardware lines you are logging the more information will be displayed in this panel. Please note that PowerLog Lite does not log hardware lines so this section of the PowerLog Client will not be available to PowerLog Clients connected to PowerLog Lite systems.

Compilation Panel – This key panel is used to extract section from the log to be exported in your chosen audio format so that you can edit them or save them for long term storage. This panel offers a range of options which will be discussed in detail later in this documentation.

Detailed Info Panel – This panel allows you to switch between a range of more detailed information about the log you are working on.

Toggle Mode – The Toggle Mode button is used to switch between Full View Mode and Compact View Mode.


Compact View Mode Screen Layout

Menu System – Provides access to the PowerLog Client menu system which is used to configure and customise PowerLog Client as well as providing access to a range of additional options and functions.

General Info Panel – This can be toggled between showing general information about the log you are working with and displaying ‘visualizations’ as the log is played.

Transport Controls – Allow you to control playback in PowerLog Client and navigate around in the log. This panel also shows you the time that the log you are currently viewing was recorded.

Toggle Mode – The Toggle Mode button is used to switch between Full View Mode and Compact View Mode.

We will now look at the general areas within PowerLog Client in a bit more detail.


Chapter 5 - The General Info Panel

The General Info Panel is used to show basic information about the audio log that you are working on as well as give a general indication of the audio that is playing back (if any is playing).

The panel is split in to several key areas.


Previous / Next Day Buttons

The Previous and Next Day buttons are located to the left and right of the Date OF Log field and are used to jump forward or backwards in the log you are working on by 24 hours.

If you are listening to the log and you click on one of these buttons, PowerLog Client will automatically load the log for the same time the previous or next day and begin playback.

If no log is available (as it has not bee recorded yet or it has been deleted by the system) then PowerLog Client will inform you.


Date Of Log

This field shows you the date that the log you are currently reviewing was originally recorded. Please note that the time is displayed on the Transport Panel.


Select Date

The Select Date option is located to the right of the Date Of Log and is used to select a specific time and date to review within the log you are currently working on.

When you click on this option, the Select Date window opens which allows you to select the date and time that you wish to go to in the currently open log.

To use this window, select the date using the calendar and type in the time you are interested in. When you are happy, click on the Ok button and PowerLog Client will jump to that date and time in the log (assuming it is valid – if not it will let you know).


Format Of Log & Format Name

In order to understand what this field is used for, it is important to establish what we mean by Format in PowerLog.

PowerLog Capture allows you to store up to three different copies of the same audio log. Each ‘copy’ of the log can be configured to be stored at different qualities, using different compression methods for different period of time. Each one of these copies is called a Format in PowerLog Client.

This is a really useful tool as it allows you to store the audio logs in a different ways to suit you needs. Let’s say for example that you are logging your station locally but you are part of a larger group of stations and sometimes, people at other stations need to access your logs via PowerLog Client. Now let’s say that all your stations are connected via a VPN (virtual private network) but only at a relatively slow ‘bit rate’ (network speed). One solution may be to create a primary Format (Format A) that stores audio at a high quality for a period of time, then drops to a lower quality for the remainder of your logged period. That is great for local users but remote users will not be able to listen to the high quality logs because the network speed is not fast enough. The solution is to create a second Format (Format B) that records the same audio but compresses it directly to a low enough quality to be accessible via your group network. So you would end up with.

Format A – High quality (say CD quality) for 3 weeks then down to FM quality (say WMA 128Kbit) for another 6 weeks before the system deletes the logs.

Format B – Low quality (say 32Kbit WMA) for the entire 9 week period.

In this scenario, local users can get the high quality stuff and remote users can review the audio as if it were stored locally.

Now that we understand what Formats mean in PowerLog we can get back to the Format Of Log field. This field performs two roles, firstly it displays the actual audio format and quality of the log you are currently reviewing.

In this example, the audio we are listening to is in MP3 format and the bit rate is 64Kbps stereo.

The field can also be used to display the name of the Format we are currently reviewing by clicking on the Format Name icon to the right of the field.

When you click on the icon, the Format Of Log field changes to display the name of the Format you are reviewing.

Click on this icon again to toggle back to Format Of Log.


Select Format

In the previous section (Format Of Log & Format Names) we covered what Formats are and showed an example of how a station might set up two different Formats to allow the logs to accessed both locally and over the ‘group’ network. This is great but you still need to be able to select the Format that you want to review from inside PowerLog Client. This is done with the Select Format icon.

When you click on this icon, a drop down list will appear to allow you to select the Format that you wish to use.

To select a Format, just click on it with the left mouse button.

If you select a Format that has not been configured then the ‘No Log Available’ message is displayed.


VU Meters

The VU Meters show a rough visual representation of the playback volume of audio PowerLog Client plays it back through your computers sound card. When no audio is playing, the VU Meter will be empty but when audio is playing, the VU Meter will ‘bounce’ up and down in time with the music.


Select Visualization

The Select Visualization buttons on the left hand side of the General Info Panel allow you to switch between general information about the log you are reviewing and graphical representations of the audio as it is playing. There are three different visualizations to choose from as well as an ‘Info’ button to return to general information.


Chapter 6 - The Transport Controls Panel

The Transport Controls Panel is primarily used to control playback of the Log that you are currently reviewing. It can also be used to change the playback volume, view the time in the log and ‘tag’ sections of the log to be extracted as an audio file for editing or long term storage.

The Transport Control Panel is divided in to a number of areas.


Time In Log

The Time In Log indicator shows position (in time) of the playback cursor in the log you are currently reviewing.

The Playback Cursor is the dotted line in the Hardware Marks Panel and is used to indicate either the point currently playing in the log or the point that will play when you click on the Play button (i.e. when PowerLog Client is not playing audio).

As PowerLog Client plays through the log, the Time In Log will update accordingly.


Rewind / Fast Forward

The Fast Forward and Rewind buttons are used to jump the Playback Cursor forward or backward by a small amount.

By default, click the Fast Forward or Rewind button will jump the Playback Cursor forward or backward by 5 seconds but as this is a customisable option in PowerLog Client, you can alter this default amount by using the Settings Menu > Customise PowerLog Client option on the menu system.

From here you can alter the Forward / Rewind settings to your preferred values.


Stop

The Stop button is only enabled when PowerLog Client is playing back audio from the log and it is used to stop playback.


Play

The Play button is only enabled when PowerLog Client is not playing audio and it is used to start playback from the Playback Cursor position in the log.


Start / End Tag

The Start and End Tag buttons are used to define the start and end positions of a period in the log that you wish to extract from PowerLog Client as a separate audio file (for editing etc).

When you click on the Start Tag button, a yellow marker appears in the Hardware Marks Panel to indicate the start of a tagged area of the log.

At the same time, the End Tag button becomes enabled to allow you to set the End Tag position. You can listen to the log (using the Play button) and Fast Forward to the place you wish to place the End Tag. Alternatively, you can also click on the time line in the Hardware Marks Panel to jump the Playback Cursor to the position in the log that you wish to place the End Tag. Either way, when you are happy that the Playback Cursor is in the correct position, click on the End Tag button.

You will see that the tagged area of the log is shown as a yellow block on the Time Line on the Hardware Marks Panel and that the Save Tagged Log button is enabled. To save the tagged area as a separate audio file, click on the Save Tagged Log button.


Save Tagged Log

The Save Tagged Log button is only enabled if you have used the Start / End Tag buttons to tag a section of the log to be saved (see above).

Once enabled, click on the button to saved the tagged section of the log as a separate audio file.

You will next need to select the audio format you wish PowerLog Client to use to create the extracted audio file using the Audio Format Chooser window.

This window allows you to select from one of the three pre-determined audio qualities, or one of up to three customised formats or to set the parameters manually using the Custom Format options. We will look at these in more detail in the next section, but lets assume that we wish to create an audio file to ‘burn’ to CD so all we need to do is click on the Burn To CD button and then click on Ok.

Next you will be asked for a file name and location for PowerLog Client to use to create the audio file. Select a folder that you can get to easily from other applications. When you are happy, click on the Save button and PowerLog Client will start to generate an audio file for the selected period.

Progress is displayed as the file is created. Keep in mind that audio files can be large and if you ask PowerLog Client to extract a large section of the log, it is likely to take some time. If you wish to abandon the process, click on the Cancel button.

As you may know, PowerLog Capture records audio in a series of small audio files (ranging from 30 seconds to 1 hour depending on settings) but even although the raw audio is in little files, PowerLog Client will ‘stitch’ them all together in to a single file with no audible join between the audio sections such that you end up with an audio file that covers exactly the requested duration.


Pre-Defined Formats

There are three pre-defined audio formats that you can use.

Burn To CD – Selecting this option will set PowerLog Client to export a CD quality (44Khz stereo) uncompressed audio (WAV) file which is the correct format to be burnt directly to an audio CD.

Web Streaming (High Rate) – This will set PowerLog Client to output a high quality Windows Media Audio (WMA) file which is typically 192Kbps.

Podcast – This will set PowerLog Client to output an MP3 file typically at 64Kbps.

All of these values are only meant to be guides as you can alter the settings for any of them by clicking on the Edit button when they are highlighted.

Let’s say we wanted to drop the ‘bit rate’ of the Web Streaming format. Click on the Web Streaming button followed by the Edit button.

You can then use the Audio Format window to select the compression scheme you wish to use and the also the quality of the audio you want to use.

The options on this window differ depending on the Audio Format you select and these will be covered in more detail in the Custom Format section in a short while.

In this example we wanted to stick with WMA but to lower the quality (and size) of the file created. To do this, click on the Profile drop down list and select the new audio ‘profile’ that you wish to use.

When you are happy click on the Ok button.

You will notice that the Format Information panel has updated to display the new format information.


Personal Formats

In addition to the Pre-Defined Formats, you can also add up to three Personal Formats.

To add a Personal Format, you need to access the Tools Menu > Customise PowerLog option and then switch to the Compilation tab on the Customise PowerLog window.

In this section, you can add a Personal Format by clicking on one of the three Personal Format buttons. In this example we will add a Personal Format to the second Personal Format button.

You will then be asked to provide a name for the Personal Format along with an icon for the Personal Format should you wish to use one.

You then need to set the format for your Personal Format by clicking on the Edit Format button.

This will open the Format Chooser window which allows you to set the format and audio quality for PowerLog Client to use when using your Personal Format.

First use the Audio Format drop down list to select the audio format (compression scheme) that you wish to use. PowerLog Client supports the following formats:

Windows (WAV) PCM - Uncompressed.

Windows (WAV) IMA ADPCM – 4:1 compressed.

Windows Media (WMA) – Multi bit rate compression.

Ogg Vorbis (Ogg) – Open source multi bit rate compression

MPEG Layer 2 (MP2) – Older multi bit rate compression.

MPEG Layer 3 (MP3) – Popular multi bit rate compression.

Once you have selected the format you wish to use, the window will update to show the options for that format. In this example we will select MP3 and then select a suitable lower quality bit rate.

When setting MP3’s you can select the base sample rate (which it is advisable to always leave at 44,100Hz), whether the audio file should be stereo or mono and the bit rate to use. When you are happy, click on OK.

You can now click on Ok to save your Personal Format.

Now that we have finished adding a Personal Format, let’s head back to the Audio Format Chooser window and see how our Personal Format has been added.

As you can see, our Personal Format is now available as a button on the window and you can select it by clicking on it and then clicking Ok to start creating the audio file.


Custom Format

The Custom Format option on the Audio Format Chooser window allows you to set the audio format and quality for the file you are about to create without having to use a Pre-Defined Format or a Personal Format. This is great for the ‘one off’ jobs that require audio at a particular quality or format. To use this feature, click on the Custom Format button.

You will then be asked to select the audio format and quality options that you wish to use.

Use the Audio Format drop down list to select the format you wish to use.

PowerLog Client supports the following formats:

Windows (WAV) PCM - Uncompressed.

Windows (WAV) IMA ADPCM – 4:1 compressed.

Windows Media (WMA) – Multi bit rate compression.

Ogg Vorbis (Ogg) – Open source multi bit rate compression

MPEG Layer 2 (MP2) – Older multi bit rate compression.

MPEG Layer 3 (MP3) – Popular multi bit rate compression.

Each of these offers different quality options which are outlined below.

Select the Audio format and quality options that you wish to use, then click on Ok.

You will see that the Format Information Panel will be updated to display you selected Custom Format. To begin extracting the audio file, click on Ok.


Windows Wav

The Windows WAV format sets PowerLog Client to export a standard MS Windows WAV file which is probably the most universally compatible audio file.

In addition you can use the Format drop down to select either PCM (No Compression) or IMA ADPCM (4:1 Compressed) for the top level audio format.

Finally you can set the Sample Rate (which you should usually leave at 44,100Hz for best quality) and whether the file should be mono or stereo.


Windows Media (WMA)

Windows Media is a proprietary Microsoft audio compression technology that offers high quality audio compression at all sample rates. The good thing about WMA is all Windows based PC’s are compatible. The bad this is that most Mac’s aren’t!

The only option on the WMA window is the Profile option which is used to select the bite rate and type of audio file.

When you drop down the Profile list you will see that there are a number of options. Select the options that best suits your needs and click on Ok.


Ogg Vorbis (Ogg)

Ogg Vorbis is an open source audio compression scheme that works in a similar way to MP3 but because it is an open format, there are no licensing issues to be considered. The down side is that it is not so widely supported as the other formats.

The Ogg Vorbis window allows you to set the bit rate, base sample rate and whether the exported file should be stereo or mono.


MPEG Layer 2 (MP2)

MPEG Layer 2 is the fore runner to the popular MP3 compression scheme. As older technology, it offers lower compression ratios than modern codecs (such as WMA and MP3) but is compatible with some older playout systems.

The MP2 window allows you to set the bit rate, base sample rate and whether the exported file should be stereo or mono.


MPEG Layer 3 (MP3)

Perhaps the most commonly known audio format, MP3 offers good audio quality at all compression ratios.

Once again the MP3 window allows you to set the bit rate, base sample rate and whether the exported file should be stereo or mono.


Volume Control

You can use the Volume Control slider on PowerLog Client to adjust the output volume of audio played via your computers sound card.


P Squared Web Site

The button provides fast and simple access to the P Squared web site on web enabled PowerLog Client workstations.


Chapter 7 - DAB Text

In addition to logging audio, PowerLog has the ability to log a wide range of addition data types including:

Hardware Hardware Marks (GPI inputs)

Silences

DAB Text (sometimes called DLS Text)

Serial (RS232)

User Defined Marks

The DAB Text section of the PowerLog Client interface is used to display the DAB Digital Radio text that your station transmitted along side the audio that PowerLog has recorded.

DAB Digital Radio broadcasters have the option to broadcast text information embedded in to the digital audio stream and this text information can be displayed by some DAB radio receivers. The most common use for this technology is to have your stations playout system output the name and artist for songs as they are played. That way when a listener is listening on a DAB radio, they can look at the display to see who sings the song they are enjoying.

On a technical level, this is only possible if your playout system is capable of outputting text information as an TCP/IP in a format that the DAB transmitter can understand. (Myriad by P Squared is capable of doing this).

When PowerLog is configured to log DAB text, it intercepts the TCP/IP commands sent by your playout system, logs them alongside the audio it is logging and then re-sends the TCP/IP message to the DAB transmitter.

In practice, this means that as you review the audio log using the PowerLog Client, you also see the DAB text that was displayed on the listeners DAB radio at time of broadcast, scrolling across the DAB Text area.

As you will see when using PowerLog Client, as the audio segues from one song to another, the DAB Text displayed will update accordingly.

It is important to remember that PowerLog is only logging the DAB Text supplied by your playout system so if the playout system is outputting the wrong information then PowerLog Client will also show the wrong information.

If you click on the DAB Text as it is scrolling by, the Detailed Information Panel updates to display DAB Text from around the time period you are currently reviewing in the log.

You can use the list of DAB Text displayed in the Detailed Information Panel to jump to specific point in the log.

If you double click on the DAB Text displayed in the Detailed Information Panel, PowerLog Client will jump the Playback Cursor to the point in the log when the DAB Text was broadcast.

You can also search the log for specific DAB text using either Search DLS Labels option on the right click menu.

Or the Search DLS Log option on the File menu.

Either way, you can search for DAB Text that contains specific words using the Search DLS window.


Chapter 8 - The Hardware Marks Panel

The Hardware Marks panel is only visible if your are using the full version of PowerLog, not PowerLog Lite (as it can not log Hardware Marks). The basic function of the Hardware Marks Panel is to offer a visually display for when specific logic events were triggered as PowerLog recorded the audio log.


But What Are Hardware Marks?

Good question!

The answer is that Hardware Marks can really be used for whatever you wish.

The term Hardware Marks (sometimes called hardware inputs or GPI’s) generally refers to ‘logic’ input on a special data capture card fitted to the PowerLog Capture PC. The simplest way to think of this is that the PowerLog Capture effectively has a number of switches on the back of the PC and PowerLog will make a note in the log whenever a ‘switch’ is turned on or off.

Obviously, PowerLog Capture machines do not have real switches on the back but instead uses a standard electronic switch input called a Hardware Input. These Hardware Inputs allow Powerlog to record physically events that happen in the ‘real world’ alongside the audio that it logs. We call these Hardware Marks.

The most common application for this is to connect a Hardware Input on the PowerLog Capture PC to the microphone channel on your main broadcast mixing desk. This can be done in such a way that whenever the presenter ‘opens’ the mic fader, it flicks the switch on the Hardware Input in PowerLog and PowerLog Capture makes a ‘mark’ in the log, hence Hardware Marks.

The periods when Hardware Inputs are switched are displayed as coloured Hardware Marks in the PowerLog Client with each row of ‘marks’ representing a different Hardware Input line on your hardware I/O card.

Let’s say for example, you connected the presenter mic to Hardware Input 1 and the guest mic to Hardware Input 2, when you reviewed the logs using PowerLog Client, you would see a different coloured block displayed in the log whenever either the presenter or guest mics were in use.

The result is that if you are reviewing a show and you are not interested in the songs, just what your presenters have to say, you no longer have to sit through (or fast forward through) the music because you can see when they were speaking.

You can use Hardware Marks to review specific sections of the log and to select section of the log to be exported as an audio file. You can even get PowerLog Client to list all of the Hardware Marks for a given time period for review or export, so if you want to hear all of the vocal links your breakfast jock has done in the past six week, no problem, PowerLog Client can prepare that in seconds.


Playing A Hardware Mark

You can play a Hardware Mark in one of two ways.

Use the mouse to click at the beginning of the Hardware Mark in the Hardware Mark Panel and then click on the play button. PowerLog Client will jump the Playback Cursor to the position you click on and start playback.

You can also right click on a Hardware Mark and use either the Play From This Mark or Play This Mark options.

If you select the Play From This Mark option then PowerLog Client will start playing from the beginning of the selected Hardware Mark but will continue playback of the log once the mark has finished. If you select the Play This Mark then PowerLog Client will play the log from the beginning of the Hardware Mark through to the end of the mark but then stop playback.

There is also a Jump To This Mark option that will jump the Playback Cursor to the beginning of the selected mark but PowerLog Client will not start playback until you click on the Play button on the Transport Controls Panel (unless it is already playing).


Exporting A Hardware Mark As An Audio File

You can also export the log associated with a Hardware Mark either as an individual audio file or as part of a larger collection of Hardware Marks using the Compilation Panel.


Exporting A Single Hardware Mark

To export a single Hardware Mark as an audio file, right click on the Hardware Mark you wish to export and select the Write Mark To Disk option from the right click menu.

You will next see the Audio Format Chooser window which is used to select what audio format and quality you wish the exported file to be in.

The buttons down the left hand side show the Pre-Defined Formats and Personal Formats that are available.

In the Save Tagged Log section of Chapter 6 we looked at how we could set the Personal Favourites and also how we could alter the Pre-Defined Formats so we will not cover that again.

For this example, we will assume that we do not wish to use one of the Pre-Defined Formats or the Personal Formats but rather want to set a Custom Format.

Click on the Custom Format button and the select the Audio Format (compression scheme) that you wish to use.

The options are:

Windows (WAV) PCM - Uncompressed.

Windows (WAV) IMA ADPCM – 4:1 compressed.

Windows Media (WMA) – Multi bit rate compression.

Ogg Vorbis (Ogg) – Open source multi bit rate compression

MPEG Layer 2 (MP2) – Older multi bit rate compression.

MPEG Layer 3 (MP3) – Popular multi bit rate compression.

Each of these options has their own set of audio bitrates / quality options which again were covered in the Custom Format section of Chapter 6.

Let’s assume we want to export the Hardware Marks as an MP3 file. Select MP3 from the Audio Format and then select the Sample Rate (should always be 44,100Hz) and Bitrate. Then click on Ok.

The Audio Format Chooser window is updated to show the Custom Format information.

Click on OK to export your audio file.

Select the location and file name that you wish to use.

As PowerLog Client generates the audio file, a progress bar shows you how far the process the system is.

While PowerLog Client exports audio files, playback from the log may pause, this is normal due to the amount of work PowerLog Client is doing ’stitching’ together all of the individual files that make up the log in to a single MP3 audio file.


Exporting More Than One Hardware Mark

As well as exporting a single Hardware Mark as an audio file, you can also use the Compilation Panel list several Hardware Marks. These can then either be played back in order, exported as a bunch of audio files or as a single audio file that contains all of the Hardware Marks.

You can add a Hardware Mark to the Compilation Panel in two different ways.

You can use the Add To Compilation option on the right click menu to add the selected Hardware Mark to the Compilation Panel.

When you select this option, the time and date in the log that the Hardware Mark covered are added to the Compilation Panel as an individual entry.

If you add a second Hardware Mark using the same method then it will also be listed.

You can also drag Hardware Marks directly from the Hardware Mark Panel to the Compilation Panel.

Once you have the Hardware Marks in the Compilation Panel, you can export them either as a single audio files (with all the marks joined together) or as a set of audio files in a folder (with each Hardware Mark as an individual audio file).

The diagram below shows the buttons available on the Compilation Panel.

The options we are interested in are Export Audio File and Export Set Of Audio Files.

You can also use the Play button to listen to Hardware Marks in order. The Move Up / Down List allows you to alter the order and you can also use the Load / Save list buttons to save or load the Compilation list.

In this example, we will assume that we want to export all of the Hardware Marks as a single audio file. Click on the Export Audio File button and select the audio format using the Audio Format Chooser window (see Chapter 6 for more details).

Once you are happy, click on the Ok button to select the file name and location you wish to use.

When you are happy, click on the Save button to begin the export process.

As PowerLog Client exports the compiled clips, progress is displayed along the bottom of the Compilation Panel.

At the end of the process, PowerLog Client let you know it has finished.


The Hardware Mark Panel Right Click Menu

The right click menu on the Hardware Mark Panel is context sensitive in that options on the menu are only enabled when you right click on items in the panel that relate to the menu option.

The options are:

Play From This Mark – PowerLog Client will play from the beginning of the selected mark and continue to play even after the mark has ended.

Play This Mark – PowerLog Client will play from the beginning of the selected mark and end playback at the end of the mark.

Jump To This Mark – Jumps the Playback Cursor to the beginning of the selected mark.

Write Mark To Disk – Export the selected mark as a single audio file.

Add To Compilation – Add the selected mark to the Compilation Panel.

Print Selection – Prints text list of Hardware Marks using default printer.

The other options on the list are only enabled when working with the Detailed Information Panel which shares the same right click menu.


The Silences Line

As well as displaying the Hardware Marks, the Hardware Marks Panel is also home to the Silences Line which is used to display a visual representation of any silent periods in the log that PowerLog has detected.

This small mark indicates that PowerLog detected silence while it was recording the audio log at that time.

You can listen to a ‘silent’ mark by right clicking on the mark in the Silences Line and selecting either Play From Mark or Play Mark from the menu.

You can also export the Silence Mark as a single audio file using the Write Mark To Disk option or add the Silence Mark to the Compilation Panel (for reviewing or exporting multiple marks) using the Add To Compilation option.


Special Menu Option – Add Gaps To Compilation

There is also a special Add Gaps To Compilation option on the right click menu that is only enabled when working with Silences. If this option is selected then PowerLog Client will add all the periods of the log for the current day when silence was not detected, to the Compilation Panel.

This option has been added for a specific application where PowerLog is used to log news output and news cuts that are broadcast periodically over the day with silence being broadcast the rest of the time. Regulatory restrictions means that all output has to be logged (even silence) but the organisation in question wanted a way of adding all of the news breaks and cuts that did broadcast to be added to the Compilation Panel in one easy go. The solution was to add all periods of the log that were not ‘silent’ to the Compilation Panel, hence the Add Gaps To Compilation option.


The Time Line

The Time Line section of the Hardware Mark Panel shows the time frame for the current section of the log visible in the Hardware Marks Panel.

In the example above, the time line shows from roughly 6am to just before 7am with the current Playback Cursor currently being at around 6:41am.

You will also see that if you view the Time Line for the hour that is currently being recorded, the Time Line after ‘now’ appears in red as no log has been recorded yet.

You can move the Playback Cursor to any point in the visible time line simply by clicking on it.

You can also alter the scale of the Time Line using the right click menu.


Time Line Right Click Menu Options


Jump To Now

The Jump To Now option will move the Playback Cursor to the hour that is currently being recorded in the log, or the closest available hour.


Jump To Current Playback Position

This option will jump the Hardware Marks Panel to show the time around the Playback Cursor or if PowerLog Client is playing audio, the time in the log that is playing.

The reason for this option is that you can use the Log Position slider along the bottom of the Hardware Mark Panel to change the period of the log visible in the Hardware Marks Panel. This allows you to view periods of the log further forward to before the point you are listening to.

This means that the position in the log visible may not necessarily be the position of the audio you are listening to.


Zoom

The Zoom option allows you to alter the total time period displayed over the duration of the time line effectively zooming the view in the Hardware Marks Panel in or out.

To use this feature, right click on the Time Line and expand the Zoom options. You can then select the Zoom mode that you wish to use.


Tracer Line

The Tracer Line option is used to change the look of the Playback Cursor that shows where the playback position is on the Hardware Mark Panel.

The options are:

Not Shows – No Playback Cursor is shown on the Hardware Marks Panel.

Dotted Line – The Playback Cursor appears as a dotted line.

Solid Line – The Playback Cursor appears as a solid line.


Marks View

The View Marks options allows you to set the way in which PowerLog Client loads and displays the various data types that can be logged as part of the overall logging process.

When you expand the View Marks option you will see that there are two options for each of the extended data types that PowerLog can log.

They are:

Hardware Marks – Hardware Marks via a hardware I/O (GPI) card.

Silences – When PowerLog detects silence in the recorded audio.

User Marks – Special marks added to the log by a user.

DLS Marks – DAB text.

Serial Marks – Serial or RS232 marks.

For each of these there are two options.

Display All XXX Marks – PowerLog Client loads all marks for the day simultaneously. This makes scrolling along the Hardware Marks Panel faster but if you have a lot of marks then can make loading slower and on older PC’s, cause playback issues.

Display XXX Marks For The Current View – In this mode, PowerLog Client will only load the selected marks for the period currently viewed in the Hardware Mark Panel. This means that PowerLog Client will dynamically load in the XXX marks for as it needs to display them. This mode is good if you have a number of marks to sort through.

To select a particular View Mark option, click on the required option to select it.


Tracking Mode

When PowerLog Client is in Tracking Mode, the display will automatically update to show the marks around the current Playback Cursor position as you listen to the log. In Tracking Mode, as you listen to the log, the Hardware Marks Panel continuously scrolls to show the current information.

If this mode is not enabled then as the Playback Cursor scrolls out of the currently visible, PowerLog Client will not update the area displayed in the Hardware Mark Panel.


Tracking Options

The Track Options option opens the Tracking Options window which is used to set whether PowerLog Client will automatically enter Tracking mode if you do not do anything with it for XX seconds.

To enable this option, tick the Activate box and put in the ‘time out’ in seconds.

In the example above, if you did not touch the PowerLog Client for 20 seconds, it would automatically switch to Tracking Mode.


Log Position Slider

The Log Position Slider allows you to ‘slide’ the view in the Hardware Mark Panel forwards or backwards within the day you are currently viewing.

To use this feature, left click and hold on the Log Position Slider and move the mouse to the left or right. Release the button when you get to the position you want to be in.


Chapter 9 - Detailed Information Panel

The Detail Information Panel is used to display the full range of data types logged by PowerLog as a text list. This allows you to rapidly review things such as Hardware Marks, DAB Text or Silences.

You can treat items in the Detailed Information Panel in the same way you treat them in the Hardware Marks Panel which means that you can drag marks fro the Detailed Information Panel in to the Compilation Panel or right click on the and use the right click menu to review the section of the log associated with the mark.

In addition to offering access to the different data types that PowerLog has logged, the Log Summary option displays ‘top level’ information about the log you are working with including information about the location of the log on the PowerLog Capture system, the quality / format of the logs and the duration for each phase of the logs ‘life’.

You can switch between the different information types available in the Detailed Information Panel using the drop down list at the top of the panel.

The options available are:

Log Summary – A summary of the log you are working on including the quality and duration of each phase of the logs ‘life’.

Hardware Marks – A list of Hardware Marks for the time period visible in the Hardware Marks Panel or for the entire day depending on settings.

Silences – A list of points where PowerLog detected silence whilst recording. Silences can be displayed to include the time period visible in the Hardware Marks Panel or for the entire day depending on settings.

User Marks – Similar to Hardware Marks except that they can be manually added to the log by PowerLog Client users. Just as with the other information types in the Detailed Information Panel, the PowerLog Client can be configured to display User Marks for the time visible in the Hardware Marks Panel or for the full day.

DAB Dynamic Label Segments (DAB Text) – DAB Text transmitted alongside your audio output and logged alongside the audio log. Just as with the other information types in the Detailed Information Panel, the PowerLog Client can be configured to display DAB Text for the time visible in the Hardware Marks Panel or for the full day.

Serial Message – Lists serial or RS232 messages alongside the audio log. Commonly used when logging network output that uses serial to control remote playout systems. Also useful for logging RDS output. You can configure PowerLog Client to display just the Serial Messages for the section of the log visible in the Hardware Marks Panel or for the entire day.


Log Summary

The Log Summary view is used to display general information about the log that you are working with.

To switch to viewing the Log Summary information, select the Log Summary option from the drop down list.

The information displayed in the Log Summary view is outlined below.

Log Name – The name of the log.

Log Path – The location of the log data.

Access – The type of access allows at the location.

Log Range > First / Last Log – The date and time of the earliest available log and the latest available log (which will normally be ‘now’ on a live system).

Periods > Production – Shows the duration of the initial logging period.

Periods > Standard – Shows the duration of the middle logging period.

Periods > Archive – Shows the duration of the final logging period.

Format A > Production / Standard / Archive – Shows the quality and audio format set for the three different log periods for Format A of the log.

Format B > Production / Standard / Archive – Shows the quality and audio format set for the three different log periods for Format B of the log.

Format C > Production / Standard / Archive – Shows the quality and audio format set for the three different log periods for Format C of the log.

There is no right click option for the Detailed Information Panel when viewing Log Summary.


Hardware Marks

The Hardware Marks view is used to display a list of all of the Hardware Marks (or Hardware Marks) listed either around the time you are viewing in the Time Line or for the entire day you are working with (depending on how you have setup the system).

As you can see, the Hardware Marks are listed by Start and End time and includes the name of the Hardware Mark that was triggered.

You can right click on Hardware Marks to access the right click menu options,

You may recognise this menu from the Logic Panel section, that is because it is the same right click menu.

The options are:

Play From This Mark – PowerLog Client will play from the beginning of the selected mark and continue to play even after the mark has ended.

Play This Mark – PowerLog Client will play from the beginning of the selected mark and end playback at the end of the mark.

Jump To This Mark – Jumps the Playback Cursor to the beginning of the selected mark.

Write Mark To Disk – Export the selected mark as a single audio file.

Add To Compilation – Add the selected mark to the Compilation Panel.

Print Selection – Prints text list of Hardware Marks using default printer.

You can also drag Hardware Marks from the Hardware Marks list directly in to the Compilation panel to be exported along with other sections of audio as either a single file or a selection of individual files.

To switch between viewing only the Hardware Marks around the time you are viewing and listing all of the Hardware Marks for the day, use the Tools Menu > Customise Settings option and then switch to the view tab.

Here you will see an option beside each of the data types viewable in the Detailed Information panel and a drop down selection beside each one. Use the drop down list to select whether to:

Display All Marks – Show all of the Marks for the day you are working on.

Display Marks For The Current View – Only display Marks in and around the time currently visible in the Time Line.

This will change the view settings for the User logged on to PowerLog at the time. The next time they log in to PowerLog (even on another machine), these settings will be retained.

Alternatively, if you would prefer to change them on this machine you are working on (not linked to the User), use the View Menu > View Marks option and tick the view options you wish to use.


Silences

The Silences view shows a list of all of the Silences PowerLog Capture has recorded in either the currently visible time frame or the entire day (depending on how it is setup).

As you can see, the Silence Marks are listed by Start / End time and include a brief description of what audio channels the silence occurred (left, right or both).

In addition, there is also a Filter section which allows you to restrict the Silence Marks listed to only include silences on the left or right channels as well as on both channels.

The Filter options are:

Both – Only show silences that occurred on both channels.

Left – Only show silences that occurred on the left channel.

Right - Only show silences that occurred on the right channel.

There is also a setting to allow you to determine how many seconds of audio to play either side of the Silence Mark when you listen to it.

Obviously, if it only played the silence, you would not hear anything but by listening to a couple of seconds either side, you may be able to work out what was going on.

As with Hardware Marks, you can also right click on the Silence Marks to access a range of options.

These options are the same as for the Hardware Marks with the exception of the Add Gaps To Compilation option which is a special case that is only available when working with Silence Marks.

The options are:

Play From This Mark – PowerLog Client will play from the beginning of the selected mark and continue to play even after the mark has ended.

Play This Mark – PowerLog Client will play from the beginning of the selected mark and end playback at the end of the mark.

Jump To This Mark – Jumps the Playback Cursor to the beginning of the selected mark.

Write Mark To Disk – Export the selected mark as a single audio file.

Add To Compilation – Add the selected mark to the Compilation Panel.

Add Gaps To Compilation – Add everything but the Silence Marks to the compilation panel (see Chapter 8 - The Silences Line for more details).

Print Selection – Prints text list of Hardware Marks using default printer.

As with Hardware Marks, you can switch the view to display all of the Silences for the day or just the silences in the time frame currently viewable in the Time Line. To change between the two views, use the Tools Menu > Customise PowerLog Client menu option and switch to the View tab. For more details, please refer to the Hardware Marks section of the documentation.


User Marks

The User Marks view displays a list marks in the log that have been manually added by a user.

These User Marks can be added to ‘tag’ any section of the log and can be added to the Compilation panel just like any of the other ‘Marks’ we have dealt with.


Adding A User Mark

You can add a User Mark to the log using the right click menu on the User Marks view.

Right click on the User View panel and select the Create User Mark option.

This opens the Create New User Mark window which allows you to type in the beginning and end time for the User Mark as well as a description.

When you click on the OK button, the User Mark is added to the log.

Remember that the User Mark is added to the log not PowerLog Client workstation you are working on which means that when you add a User Mark, it will be visible from other PowerLog Client workstations viewing the same time in the log.


Working With User Marks

As with the other ‘marks’ we have looked at, you can add User Marks to the Compilation panel to be exported as either a single audio file or a collection of audio files.

You can also right click on a User Mark to access the other options on the right click menu.

The options on the right click menu are common with many of the other information types we have been working with.

The options are:

Play From This Mark – PowerLog Client will play from the beginning of the selected mark and continue to play even after the mark has ended.

Play This Mark – PowerLog Client will play from the beginning of the selected mark and end playback at the end of the mark.

Jump To This Mark – Jumps the Playback Cursor to the beginning of the selected mark.

Create User Mark – Add a User Mark to the log.

Edit User Mark – Edit the details of the User Mark you clicked on.

Delete User Mark – Remove the User Mark from the log.

Write Mark To Disk – Export the selected mark as a single audio file.

Add To Compilation – Add the selected mark to the Compilation Panel.

Print Selection – Prints text list of Hardware Marks using default printer.

As with Hardware Marks, you can switch the view to display all of the User Marks for the day or just the silences in the time frame currently viewable in the Time Line. To change between the two views, use the Tools Menu > Customise PowerLog Client menu option and switch to the View tab. For more details, please refer to the Hardware Marks section of the documentation.


DAB Text

The DAB view on the Detailed Information Panel is used to display the DAB Dynamic Link Segment information (or DAB Text as it is usually called) that PowerLog logged alongside the audio.

As with all of the information types we have looked at, you can configure PowerLog Client to display a list of all the DAB Text for the day you are working with, or limit the list to show only the DAB Text logged within the time frame displayed in the Time Line. To do this, use the Tools Menu > Customise PowerLog Client > View Tab (for User linked settings) or the View Menu > View Marks menu options for workstation related settings.

Also in common with the other ‘Marks’ you can drag DAB Text in to the Compilation panel and the time during which the Dab Text was logged will be added to the Compilation list to be extracted as a single piece of audio or a list of audio files.

You can also right click on DAB Text panel to access the right click menu options.

Most of the options should be familiar by now but there are a couple of options that only become enabled when you are working with the DAB Text view.

The options are:

Play From This Mark – PowerLog Client will play from the beginning of the selected mark and continue to play even after the mark has ended.

Play This Mark – PowerLog Client will play from the beginning of the selected mark and end playback at the end of the mark.

Jump To This Mark – Jumps the Playback Cursor to the beginning of the selected mark.

Write Mark To Disk – Export the selected mark as a single audio file.

Add To Compilation – Add the selected mark to the Compilation Panel.

Jump To Mark For Current Play Position – Jumps to highlight the DAB Text that was logged at the current position of the Playback Cursor (on the Time Line).

Search DLS Labels – Allows you to search the DAB Text for a word or phrase.

Print Selection – Prints text list of DAB Text using default printer.


Searching DAB Text

You can search the logged DAB text in one of two ways.

Either use the Search DAB Text option on the right click menu when in DAB Text view mode.

Or use the Search DAB Text option from the File menu.

Using either method will open the Search window which allows you to search the DAB Text for a word or phrase, view the results and set the search options.

To use this feature, type in the text you are searching for and the click on the Find button. Please note that you can also set whether you wish the search to be ‘case sensitive’ by ticking the Case Sensitive button.

Any Dab Text that matches the criteria will be displayed in the list at the bottom of the window. When you click on the DAB Text, the highlight bar in the main DAB Text panel moves to the selected item.

If you switch to the Advanced Search tab you can also set how PowerLog Client will match the Search Text to the DAB Text.

Use the drop down list to set whether to:

The Entire Phrase – The DAB Text must match exactly.

Any Of The Words In The Phrase – Any matching words will be flagged.

All The Words In The Phrase – All the words must be the same but the order can be different.


Serial Messages

The Serial Messages section on the Detailed Information Panel list all the Serial (RS232) Messages that PowerLog Server has logged alongside the audio log.

As with all of the information types we have looked at, you can configure PowerLog Client to display a list of all the Serial Messages for the day you are working with, or limit the list to show only the Serial Messages logged within the time frame displayed in the Time Line. To do this, use the Tools Menu > Customise PowerLog Client > View Tab (for User linked settings) or the View Menu > View Marks menu options for workstation related settings.

Also in common with the other ‘Marks’ you can drag Serial Messages in to the Compilation panel and the time during which the Serial Message was logged will be added to the Compilation list to be extracted as a single piece of audio or a list of audio files.

You can also right click on Serial Messages panel to access the right click menu options.

Most of the options should be familiar by now.

The options are:

Play From This Mark – PowerLog Client will play from the beginning of the selected mark and continue to play even after the mark has ended.

Play This Mark – PowerLog Client will play from the beginning of the selected mark and end playback at the end of the mark.

Jump To This Mark – Jumps the Playback Cursor to the beginning of the selected mark.

Write Mark To Disk – Export the selected mark as a single audio file.

Add To Compilation – Add the selected mark to the Compilation Panel.

Print Selection – Prints text list of Hardware Marks using default printer.


Chapter 10 – The Compilation Panel

The Compilation Panel is used to compile one or more segments from the Audio Log you are working on. These segments may be manually added (using the Start / end Tag buttons on the Transport Controls) or be any of the various Marks that Powerlog supports. The list below shows the types of Marks that can be added to the Compilation Panel.

Manual Marks Using The Start / End Tag buttons.

Hardware Marks

Silence Marks

User Marks

DAB Dynamic Link Segment (DAB Text)

Serial Messages

Once you have one or more Marks is in the Compilation Panel you can listen to the Marks in order or export them as either a selection of separate audio files or a single audio file comprising of all the listed Marks.

Finally, the Compilation Panel can also be used to automatically extract ‘Recurring Segments’ which in practice means that you can get PowerLog Client to compile a list of Hardware Marks from a particular time frame over a period of days. This basically means that if you are using Hardware Marks to log when the main presenter microphone is ‘open’ and want to hear every vocal link from the breakfast show for the past six weeks then no problem.


Compilation Panel Tool Bar Options

The Compilation Panel comprises of a list of Marks or Cuts and a series of tool buttons along the top and right hand side of the panel. The diagram above shows what each of the buttons is for.

Please note that these buttons are only enabled when appropriate so when the Compilation Panel is empty, most of the buttons are disabled.


Clear List

The Clear List button is used to clear all of the Marks from the Compilation Panel leaving it blank.

When you click on this button, you are given the option to save the Compilation so that you can reload it at a later date.

Please note that this is saving the list of Marks, not the audio that the Marks represent.

If you select Yes then you will be asked to provide a location to save the Compilation to.

Once the Compilation has been saved, all the Marks will be removed from the Compilation Panel leaving it blank.

The same would be true if you opted not to save the Compilation by clicking on the No button.


Open Compilation List

The Open Compilation button is used to reload a previously save Compilation list.

To use this feature, click on the button and select the Compilation that you wish to load using the standard ‘Explorer’ window.

The Marks in the Compilation will then be listed in the Compilation Panel.


Save Compilation

As you would expect, the Save Compilation button is used to save the list of Marks in the Compilation Panel.

Please note that this saves the Marks but not the actually audio that the Marks cover.

When you click on the Save button, you will be asked to select the location you wish to save it to.

Select the location, give it a file name and then click on Save.


Select Recurrent Segments

The Select Recurrent Segments button is used to access the Select Recurrent Segment window which is used to automatically extract specific Hardware Marks from the selected log.

In previous Chapters we have seen how the Hardware Marks can be used to ‘tag’ the log when specific events happen in the real world. Typical uses for this would be to mark on the Log when the presenter ‘Mic’ channel is open on the mixing desk by connecting the hardware output from the mixing desk to the hardware input (Hardware Line) on your PowerLog Capture system.

Assuming you have set up some Hardware Lines and PowerLog Capture is adding Hardware Marks to your Log then you can use the Recurrent Segments tool to automatically list when Hardware Marks have been logged within a give time period.

The classic use for this is to extract all of the vocal links from the ‘breakfast show’ for the past X weeks but the actual applications are unlimited.

When you click on the Select Recurrent Segments button, the Select Recurrent Segments window opens.


Search Date Range

The Search Dare Range section allows you to set the date criteria that you want to use fro extracting the Hardware Marks.

To set the Start Date, either type in the desired date in to the Start field or alternatively, use the drop down ‘Calendar’ to select the Start date.

When setting the End Date, you have three options.

No End Date – When this option is selected, PowerLog Client will extract all of the relevant Hardware Marks from the Start Date to the last available point in the Log (usually now).

After X Occurrences – This option allows you to set an upper limit to the amount of Hardware Marks that will be gathered. If you set this to ‘10’ for example, the first 10 Hardware Marks from the Start Date onwards would be extracted.

End Date – This allows you to specify the last date that PowerLog Client will consider when extracting the list of Hardware Marks. As with the Start Date, you can manually add the date or use the drop down ‘Calendar’ to select the date.


Search Time Range

This section allows you to set the Time Range that PowerLog Client will use when extracting the list of Hardware Marks.

You can set the Start time but typing in to the Start field or by clicking on the up and down arrows to the right of the Start field to set the Start Time.

There are two options for settings the End Time criteria.

End By – This allows you to set an end time. So if you wanted to only consider the ‘breakfast show’ then you may set the Start time to 7am and the End Time to 10am.

End After (HH:MM) – This allows you to specify a duration in hours and minutes from the Start Time.


Search Pattern

The Search Pattern section allows you to add more complicated search criteria regarding the time periods included in the Recurrent Segments results. This section allows you to do things like only include week days (and ignore weekends) or to only include specific days of the months.

The options in this section offer a great number of possible configurations so we will concentrate on the ones you are most likely to find useful.

There are three different modes in which the Search Pattern section can be used.

Daily – Control the Search Pattern on a daily basis.

Weekly – Control the Search Pattern on a weekly basis.

Monthly – Control the Search Pattern on a monthly basis.

To switch between these options, select Daily, Weekly or Monthly in the left hand section.


Daily Options

The Daily options allow you to specify the Search Pattern on a daily basis.

The Options are:

Every X Days – This drop down allows you to select the daily Search Pattern. If you select ‘Every Day’ then all days will be included but if you use the drop down list to select ‘Every 2 Days’ then only Hardware Marks on every second day will be included.

Every Weekday – If this option is selected the Hardware Marks will only be listed if they happened on a week day (i.e. Monday to Friday).

Every Weekend Day – If this option is selected then only Hardware Marks that occurred on weekend days will be included (e.g. Saturday and Sunday).


Weekly Options

The Weekly Options sections allows you to set the Search Pattern based on weekly criteria.

The Options are:

Recur Every X Weeks – This option allows you to select whether ‘Every Week’ should be considered or whether ‘Every 2nd Week etc’ should be considered.

Sunday To Saturday – The Sunday to Saturday tick boxes allow you to set the days of the week that you want to include Hardware Marks from. You can tick multiple ‘Days’ if you wish.


Monthly Options

The Monthly Options allow you to set the Search Pattern criteria on a monthly basis.

The options are:

Day X – This option allows you to specify a specific Date within the Month. So if you set this to ‘5’ then Hardware Marks would only be included if they occurred on the 5th of the month.

The X X (First Sunday for example) – The flexible option allows you to specify a specific day in a month but not a specific date. Let’s say for example that you wanted to extract the Hardware Marks that occurred on the second Sunday of each month (for some reason). The you would select ‘Second’ from the first drop down list and ‘Sunday’ from the second drop down list.


Hardware Lines

The Hardware Lines section allows you to select one or more Hardware Lines that you wish to include in your Recurrent Segment search. This allows you to select only the Hardware Lines that you are interested in when performing the search.

Please note that if no Hardware Lines are specified then all Hardware Lines are included in the results.

To add a Hardware Line to the list, click on the Insert button.

This will display all of the available Hardware Lines, tick the Hardware Lines that you want to be included in your search. You can also use the ‘Select All’ and ‘De-Select All’ buttons to tick all the Hardware Lines or deselect all the Hardware Lines respectively.

When you are happy, click on OK.

Please note that the Hardware Lines are labelled when the Log is setup on the PowerLog Capture system and can not be edited from the PowerLog Client.

You will see that the selected Hardware Line(s) are displayed in the Hardware Lines section.

You can remove a Hardware Line from the list by highlighting it and clicking on the Remove button.


The Generate Segments Button

The Generate Segments button is used to start PowerLog Client searching through the Log and listing all of the Hardware Marks that match the criteria that you have set.

When you click on the Generate Segments button, PowerLog Client starts to compile the Hardware Marks that match your criteria. If you have a lot of Hardware Marks or you are searching a long time period, this may take a several minutes. While PowerLog Client is doing this, you will see that the mouse cursor changes to an ‘hour glass’.

The results of are automatically loaded in to the main Compilation Panel as part of the List Of Hardware Marks.

When you have finished with the Select Recurrent Segments window, click on the Close button to shut the window.


Merge Back To Back Segments Together

The Merge Back To Back Segments button is used to automatically merge to segments where the start of a segment coincides with the end of a previous segment. Let’s consider the Hardware Marks below.

Mic 1 – 12:55.30 to 13:00.30

Mic 1 – 13:00.30 to 13:01.00

If you selected the Merge Back To Back Segments option then these two Hardware Marks would be merged to a single mark.

This process should be near instantaneous so there is no ‘on screen’ progress indication.


Export Audio File

The Export Audio File button is used to merge all of the ‘marks’ in the Compilation Panel in to a single audio file and then export the file in the select audio format and quality.

In the example above, three Marks have been added to the Compilation Panel List. When the Export Audio File is clicked, PowerLog Client merger the audio from the Log covered by the three ‘Marks’ in to a single, continuous audio file and then export it in your chosen format and quality.

When you click on the Export Audio File button, the Audio Format Chooser window opens to allow you to select a ‘pre set’ audio format or to add a custom audio format for the file you are exporting.

If you have been reading through this manual then you will already be familiar with this window and how it works, so you can skip through the next bit. If not then read on!

(Please note that this section is a repeat of the information outlined in Chapter 6)

You use the Audio Format Chooser window to select the audio format and quality that you want to use. This can be done using one of three methods.

Pre-Defined Formats – These are default formats that are configured available when you first install PowerLog Client.

Personal Formats – These are formats that you have added to the system in the past. Once setup, you can use Personal Formats just like Pre-Defined formats. You can add up to three Personal Fomats.

Custom Formats – This allows you to set the format and quality for the file you are exporting.

We will look at Pre-Defined, Personal & Custom Formats in more detail in the next section, but lets assume that we wish to create an audio file to ‘burn’ to CD so all we need to do is click on the Burn To CD button and then click on Ok.

Next we will be asked for a file name and location for PowerLog Client to use to create the audio file. Select a folder that you can get to easily from other applications. When you are happy, click on the Save button and PowerLog Client will start to generate an audio file for the selected period.

Progress is displayed as the file is created. Keep in mind that audio files can be large and if you ask PowerLog Client to extract a large section of the log or merge several large Marks, it is likely to take some time. If you wish to abandon the process, click on the Cancel button.

Once the exported file is complete, PowerLog Client lets you know.

As you may know, PowerLog Capture records audio in a series of small audio files (ranging from 30 seconds to 1 hour depending on settings) but even although the raw audio is in little files, PowerLog Client will ‘stitch’ them all together in to a single file with no audible join between the audio sections such that you end up with an audio file that covers exactly the requested duration. Similarly, the separate Marks in the Compilation Panel will be seamlessly joined in the final audio file.


Export Set Of Audio Files

This option is similar to the Export Audio Files option except that instead of taking the Marks in the Compilation Panel merging them in to a single audio file, each of the Marks in the Compilation Panel is exported as a separate audio file in to a given folder.

When you click on the Export Set Of Audio Files button, the Audio Format Chooser window opens.

This window is used to select from the audio format and quality of the audio files to be exported, you can use one of the Pre-Defined Formats, one of the user added Personal Formats or set a Custom Format for the current export using the buttons down the left hand side.

Using the Audio Format Chooser window was covered in detail in the last section (and in Chapter 6) so we will not repeat the information again but if you need to recap, please refer to the Export Audio Files section in this Chapter).

In this example, we will assume we want to export them as uncompressed 44Khz WAV files for burning to CD so all we need to do is click on the Burn To CD button on to select the Pre-Defined Format that is outputs audio files ready to be burnt to CD. Once you are happy that the Audio Format displayed in the Format Information window is correct, click on the OK button.

Next you will see a standard Windows Explorer style window.

Use this window to select the location of the folder that you wish to export the audio to. Please note that you can use the ‘Make New Folder’ button to add a new folder to your system.

You can use this window to ‘browse’ both local and network folder locations.

Next you will be asked whether you want PowerLog Client to ‘Empty The Folder Before Proceeding’.

If you click on Yes then PowerLog Client will delete any existing files from the folder before it begins the export process. If you click on No then the exported files will be added to any files that already exist in the folder. If you click on Cancel then the export process will be abandoned.

Once you have clicked either the Yes or No buttons, the export process will begin.

As PowerLog Client is exporting the individual audio files, progress is shown using a progress bar along the bottom on the Compilation Panel.

PowerLog Client let’s you know once it has finished the process.


Move Up / Down List

The Move Up List and Move Down List buttons are used to move Marks in the Compilation Panel up or down the overall list. This is because when you use the Export To Audio File option, the Marks will be merged in to the overall file in the order that they appear in the Compilation Panel.

To use this feature, highlight the Mark that you wish to move up or down the list in the Compilation Panel and the click on the Up or Down buttons depending on what you want to do.


Play Marks

The Play button is used to play the audio from the Log for each of the time periods covered by the Marks in the Compilation window.

When you click on the Play button, PowerLog Client will start playback from the log at the start time for the highlighted Mark in the Compilation window and then continue to play the audio for each of the subsequent Marks in the list.

When playing, the Compilation Panel becomes ‘disabled’ (shown by grey text) and you can not add more Marks to the list. Progress is indicated along the bottom of the Compilation Panel and the Play button is toggled to a Stop button which is used to stop playback.

When you are playing audio using the Compilation Panel in PowerLog Client, the Play control on the main Transport Control section of PowerLog Client is disabled.


Remove From List

The Remove From List option on the Compilation Panel is used to remove Marks from the Compilation Panel.

To remove a Mark from the list, highlight the Mark you wish to remove and then click on the Remove From List button.

The highlighted Mark will be removed from the list.


Compact / Full Mode Toggle Button

The Compact / Full Mode Toggle button is used to switch PowerLog Client between Compact Mode and Full Mode.

When in Full Mode, PowerLog Client displays the Compilation Panel, Detailed Information Panel and Hardware Marks Panels.

If you click on the Compact / Full Mode Toggle button then PowerLog Client will switch to Compact mode which only shows the Transport Control Panel and General Information Panel.


Chapter 11 – The Menu System

The Menu system in PowerLog Client offers access to a range of features and settings. Many of the options available on the Menu system are also accessible via buttons on the main PowerLog Client interface but there are also a number of configuration and setting options.


The File Menu

The File menu offers a range of general options for working with Logs in PowerLog Client.


Open Hour

The Open Hour option is used to select a date and time that you wish to access in PowerLog Client.

When you click on the Open Hour option, the Select Date window opens which allows you to select the date that you want to work with as well as the time you are interested in.

If you select a date or time that PowerLog Client can not find Logs for then it will let you know.


Next Day

The next Day option on the File menu is used to jump the Current Play Cursor in PowerLog Client forward by 24 hours in the Log.

If there are no more Logs to be viewed then PowerLog Client will let you know.


Previous Day

The next Day option on the File menu is used to jump the Current Play Cursor in PowerLog Client backwards by 24 hours in the Log.

If there are no more Logs to be viewed then PowerLog Client will let you know.


Select Log

The Select Log option is used to switch between multiple Logs when you are using your PowerLog Capture system to log two or more sources.

The setting used the PowerLog Directory to list the Logs available on one or more PowerLog Capture systems. If you have not configured your PowerLog Directory then the Select Log option allows you to select the PowerLog Directory that you wish to use.

When you select the Open A Directory option, the Customise PowerLog window is displayed to allow you to select the PowerLog Directory file you wish to use.

Normally, your PowerLog Capture system will automatically create a Directory file for you to use although you can edit it or indeed add in a new one using the Tools menu > PowerLog Directory Manager option (but more on this later).

Once PowerLog Client is using a valid PowerLog Directory file that contains multiple Logs, the Select Log menu option displays the Logs that are available to work with.

The Log that is currently active in PowerLog Client has a tick beside it. To switch to another Log, just click on it.

PowerLog Client will automatically load up the new Log using the same date and time as you are currently working with in the Time Line (great for comparing Logs).


Refresh Log List

In general, PowerLog Client reads the list of Logs available via the Select Logs menu option when the application first starts up so if you have been running PowerLog Client for some time and since you started the application, more Logs have been added to the Directory file, they will not appear on the Select Log menu unless you quit PowerLog Client and reload the application, or you select the Refresh Log List option.


Search DAB Test

The Search DAB Text option opens the Search DAB Text window which is used to search the logged DAB Text for a specific word or phrase.

To use this feature, type in the text you are searching for and the click on the Find button. Please note that you can also set whether you wish the search to be ‘case sensitive’ by ticking the Case Sensitive button.

Any Dab Text that matches the criteria will be displayed in the list at the bottom of the window. When you click on the DAB Text, the highlight bar in the main DAB Text panel moves to the selected item.

If you switch to the Advanced Search tab you can also set how PowerLog Client will match the Search Text to the DAB Text.

Use the drop down list to set whether to:

The Entire Phrase – The DAB Text must match exactly.

Any Of The Words In The Phrase – Any matching words will be flagged.

All The Words In The Phrase – All the words must be the same but the order can be different.


Print Dab Text

This option is used to print a list of all the logged DAB Text for the day you are working with using your default printer.


Exit

This option is used to quit PowerLog Client.


The Audio Menu

The Audio Menu is used to select the Log Format that you want to work with and also offers a range of audio controls which function in the same way as the controls on the Transport Control Panel.


Select Output Format

Way back in Chapter 5 we looked out how PowerLog allowed you to have several Formats for each Log allowing you to store the same logged audio in up to three different qualities (see Chapter 5 – Format Of Log & Format Names for more information).

We also saw how the Format section of the General Information Panel can be used to select the Format that you are working with in PowerLog Client.

The Select Output Format option on the Audio Menu allows you to do the same thing.

The currently selected Format is shown by a tick and you can switch to another Format by just clicking on the menu option.

Please note that if you have changed the Format Names then the new Format Names are displayed in this list.


Play

This option is used to begin playback in PowerLog Client from the Current Play Position on the Time Line.


Rewind

Rewinds the Current Play Position by a customisable amount.


Fast Rewind

Rewinds the Current Play Position by a customisable amount.


Rewind To Start

Moves the Current Play Position to the very start of the day you are working on or the earliest available Log on that day.


Forward To End

Moves the Current Play Position to the very end of the day you are working on or the latest point in the Log available on that day.


Fast Fast-Forward

Fast-Forwards the Current Play Position by a customisable amount.


Fast-Forward

Fast-Forwards the Current Play Position by a customisable amount.


Stop

This option is only available when PowerLog Client is playing audio and it is used to stop playback.


The View Menu

The View menu offers a range of options related to what you are seeing in the PowerLog Client or how the PowerLog Client displays information.


Jump To Now

The Jump To Now option will jump the Current Play Cursor to the most recently available point in the Log which would normally be only a minute or so back from ‘real time’.


Jump To Current Playback Position

This option is used to jump the area in displayed in the Hardware Marks Panel to show the point that is currently being played by PowerLog Client.

This is useful if you are listening to the Log but scroll the Time Line to display a different point in the Log. To get back to what is playing, use this option.


Zoom

The Zoom option allows you to alter the total time period displayed over the duration of the time line effectively zooming the view in the Hardware Marks Panel in or out.

Use the expanded Zoom menu to select the Zoom mode you wish to use. The currently selected mode is displayed by a tick on the menu.

The pictures below show the difference between when 1 hour and 15 minutes is selected.


Marks Views

The View Marks options allows you to set the way in which PowerLog Client loads and displays the various data types that can be logged as part of the overall logging process.

When you expand the View Marks option you will see that there are two options for each of the extended data types that PowerLog can log.

They are:

Hardware Marks – Hardware Marks via a hardware I/O (GPI) card.

Silences – When PowerLog detects silence in the recorded audio.

User Marks – Special marks added to the log by a user.

DLS Marks – DAB text.

Serial Marks – Serial or RS232 marks.

For each of these there are two options.

Display All XXX Marks – PowerLog Client loads all marks for the day simultaneously. This makes scrolling along the Hardware Marks Panel faster but if you have a lot of marks then can make loading slower and on older PC’s, cause playback issues.

Display XXX Marks For The Current View – In this mode, PowerLog Client will only load the selected marks for the period currently viewed in the Hardware Mark Panel. This means that PowerLog Client will dynamically load in the XXX marks for as it needs to display them. This mode is good if you have a number of marks to sort through.

To select a particular View Mark option, click on the required option to select it.

You will also see an Update Marks option which is used to force PowerLog Client to reload the various Marks from the PowerLog Capture system. This normally happens automatically so you should not have to use this option very often.


Tracking Mode

When PowerLog Client is in Tracking Mode, the display will automatically update to show the marks around the current Playback Cursor position as you listen to the log. In Tracking Mode, as you listen to the log, the Hardware Marks Panel continuously scrolls to show the current information.

If this mode is not enabled then as the Playback Cursor scrolls out of the currently visible, PowerLog Client will not update the area displayed in the Hardware Mark Panel.

When Tracking Mode is enabled, it is indicated by a tick on the Tracking Mode menu option.


The Tools Menu

The Tools menu offers access to several tools that are used to customise or alter PowerLog Client.

Customise PowerLog Client - Used to customise PowerLog Client settings on a ‘per user’ basis.

Contact Management – Offers access to the P Squared Contacts & Users Directory which is used to setup user access for PowerLog Client on a ‘per user’ basis.

PowerLog Directory Manager – Not to be confused with the P Squared Contacts and Users Directory mentioned above, this allows you to edit and manage the PowerLog Directory file which is a list of Logs available on one or more PowerLog Capture systems and it is used by PowerLog Client to work out what Logs should be available from within the Client.


Customise PowerLog Client

The Customise PowerLog Client option opens the Customise PowerLog Client window which is used to alter settings and the way PowerLog Client works for the User that is currently logged in to PowerLog Client.

But wait! You never logged in right?

Wrong, PowerLog Client automatically logs you in to the system using your Windows Login name but you can logout of PowerLog Client and log in as another User using the Login As Different User option on the File menu.

The Customise PowerLog Client window is divided in to several tabs.


The General Tab

The General tab allows you to customise several general options within PowerLog Client.

The options available on this tab are:

Directory / Log Path – This allows you to set the location of the PowerLog Capture Directory or log files. This can either be a mapped network location or a ‘UNC’ location (e.g. \\powerlog_capture\my log etc). You can also use the Browse button to select the location you wish to use. This was covered in more detail back in Chapter 3.

Small Seek – This allows you to set the small seek step in seconds which is used when you click on the Fast-Forward or Rewind buttons on the Transport Control Panel (or the Audio Menu).

Large Seek – This allows you to set the large seek step in seconds which is used when you click on the Fast Fast-Forward or Fast Rewind buttons on the Transport Control Panel (or the Audio Menu).


The View Tab

The View tab offers a range of customise options relating to the way PowerLog Client displays information.

The options are:

Limit Marks List To Current View – This set of options allows you to set the default way in which the various Marks in PowerLog Client are displayed. For each of the Mark types (Logic, Silences, User Marks, DAB Text and Serial Marks, you can select whether you want to Display All Marks (all the Marks for the day are displayed) or Display Marks For The Current View (only the Marks that occur in the time period currently displayed in the Time Line). These options have been covered in more detail in previous Chapters.

Tracer Style – This allows you to customise the way in which PowerLog Client displays the Current Position Cursor using the drop down list. As this is a customise option, it is the default for the currently logged in User.

Other Options – This drop down option allows you to customise whether PowerLog Client should start in ‘Full Mode’, ‘Compact Mode’ or ‘Remember The Last’ mode that you were using.

Serial Mark Types – This customise option only applies to Serial Marks and allows you to set the level of detail that PowerLog Client will display. In Basic mode, PowerLog Client will only display the basic information whilst in Advanced and Engineer modes, progressively more technical detail will be displayed.


The Colours Tab

The Colours tab is used to customise the colours that PowerLog Client uses to display key elements.

To alter the colour of an element in PowerLog Client, click on the coloured block to the right of the option you wish to change.

Then select the colour from the Colour Selection window.

Please note that you can scroll down to get more colour customisation options.


The Compilation Tab

The Compilation tab is used to customise the way the Compilation Panel in PowerLog Client works.

The options are:

Default Path For Records – This allows you to set the default path that PowerLog Client will use whenever it exports sections of the Log. Each time you export anything from PowerLog Client you can specify the location you wish to export the audio file to but this option allows you to set the default starting location.

Personal Formats – This section allows you to setup up to three Personal Formats that appear as pre-configured audio quality and formats when you are exporting audio from the Log.

The Personal Formats have been covered previously but we will just go over them again.

You can add a Personal Format by clicking on one of the three Personal Format buttons. In this example we will add a Personal Format to the second Personal Format button.

You will then be asked to provide a name for the Personal Format along with an icon for the Personal Format should you wish to use one.

You then need to set the format for your Personal Format by clicking on the Edit Format button.

This will open the Format Chooser window which allows you to set the format and audio quality for PowerLog Client to use when using your Personal Format.

First use the Audio Format drop down list to select the audio format (compression scheme) that you wish to use. PowerLog Client supports the following formats:

Windows (WAV) PCM - Uncompressed.

Windows (WAV) IMA ADPCM – 4:1 compressed.

Windows Media (WMA) – Multi bit rate compression.

Ogg Vorbis (Ogg) – Open source multi bit rate compression

MPEG Layer 2 (MP2) – Older multi bit rate compression.

MPEG Layer 3 (MP3) – Popular multi bit rate compression.

Once you have selected the format you wish to use, the window will update to show the options for that format. In this example we will select MP3 and then select a suitable lower quality bit rate.

When setting MP3’s you can select the base sample rate (which it is advisable to always leave at 44,100Hz), whether the audio file should be stereo or mono and the bit rate to use. When you are happy, click on OK.

You can now click on Ok to save your Personal Format.


Contact Management

The Contact Management option on the Tools menu allows access to the P Squared Contact & Users Directory which is a unified Contact and User management system that runs through all modern P Squared products. It provides a common database of contact details across all of your station’s P Squared products and also allows you to manage the Users that are allowed to use P Squared products and what access rights they have.

To view the contact details for a Contact, first click on the Expand button to expand the window to see the details, then highlight the Contact you are interested in.

You can also edit the details for a Contact by double clicking their name in the list on the left hand side.

This opens a floating window that allows you to edit the Contact details.

The window is divided in to four main tabs.

General – General contact details such as address, phone numbers etc.

Login – allows you to set their Login Name and Password which will be used to login to PowerLog and other P Squared products.

Settings – This allows you to review and edit the access to PowerLog that the Contact has.

Notes – General information about the Contact.

You can also add new Contacts by clicking on the New Contact button or using the New Contact option on the right click menu. This will open a blank Contact window to allow you type in the details for the new Contact (see below for a description of the Contact Details window).

The P Squared Contact & User Directory is covered in more detail in the Myriad Manager User Guide or Directory Manager documentation but we will also briefly cover the functionality here.


The General Tab

The General tab contains all of the generic information about the Contact that you are working with.

Contact Name – The name of the Contact you are working with.

Company – The company they work for.

Job Title – Their job title.

Phone Numbers – Add up to two numbers for the Contact.

Mobile Number – The contacts mobile number or ‘cell’ if you live in America.

Fax – The fax number for the contact.

Email – You can add up to three email addressed per Contact and switch between them using the ‘down arrow’ button. You can also email them using your default mail client by clicking on the mail button to the right of the email field.

Web Site – You can add up to two web sites per Contact and switch between them using the ‘down arrow’ button to the left of the field. You can open the selected web site in your default web browser using the ‘web’ button to the right of the field.

Address – The Contacts address.

Category – The Contacts & Users Directory allows you to organise Contacts in to Categories and this drop down list allows you to select the Category that the Contact is listed in.

Personal – This tick option set whether the Contact should be visible to allow Users or only to the currently logged in User.


The Login Tab

The Login tab is used to determine whether the Contact is able to login to P Squared products as a User.

To enable the Contact to login to P Squared products (and become a User), tick the ‘Allow The Contact To Login To The Directory As A User’ option.

This will enable the other options on the window.

Login Name – The Login name that the User must use to login.

Password – The secret password they need to use.

Account Is Disabled – If this is ticked then the Contact will be blocked from logging in to P Squared products.

Allow Contact To Change Password – If you tick this option then the Contact can alter their own password.

Contact Must Change Password Next Time They Login – This option forces the Contact to change their password the next time they login to a P Squared product.

Automatically Log This Contact On If Logged In To Windows – If this option is ticked then when a P Squared product starts up, it checks the name that has been used to login to Windows and if it matches the detail for this Contact then the it is automatically logged in to the P Squared product. So in out example above, the Contacts name is JohnSmith. If the Windows Login was also JohnSmith then they would automatically be logged in to the P Squared product.

This Is A ‘Software Account’ Used By Some Special Directory Applications – This setting is used if you want to create a User Account that will only be used by other P Squared software applications such as PowerLog Capture or Scoop Capture. Under normal circumstances you will not need to use this setting.

This Contacts Access Will Expire On XXX- This option allows you to set a date after which the User will no longer be able to access PowerLog. If this option is not ticked then the account will never expire.

This Contact Last Logged In – This shows the date and application the User last logged in to.


The Settings Tab

The Settings tab is used to assign the Contact to a pre-configured Security Group or to set the specific Security Settings for the User.

Security Group – This drop down option allows you to set a pre-configured Security Group for the Contact you are working on. These pre-configured Security Groups contain a settings that all the members of the Security Group will share. Please note that there is no way of altering these Security Groups from PowerLog Client.

Use The Security Permission Set For This Security Group – Use this option to use the settings from the selected Security Group for the Contact you are working on.

Use The Following Security Permissions Instead – This allows you to select either Directory Permissions or PowerLog v4 Permissions and customise them for the Contact you are working on (see below).

Reset All Of This Contacts Preferences To The Default – This will set all Security Settings back to the default settings for the Security Group selected in the top section.


Customising Settings

To change the settings for the Contact you are working on, select the ‘Use The Following Security Settings Instead’ option to enable individual settings. You will see that you can now highlight either Directory Settings or PowerLog Settings.

To alter the settings for one of these, highlight it and then click on the Configure button to the right of the panel.

This opens the Contact Permissions window which allows you to alter the Contacts permissions.

This window allows you to select either Directory permissions or PowerLog permissions.


Directory > Can have Personal Contacts

The User (or members of a User Group) is allowed to have Personal Contacts stored on the Directory. For more details on Personal Contacts (as opposed to Shared Contacts) please see the earlier Contact List section of this documentation.


Directory > Can Add / Edit / Delete Contacts

The User (or members of a User Group) is allowed to add, edit or delete Contacts in the P Squared Directory.


Directory > Can Add / Edit / Delete Users

The User (or members of a User Group) is allowed to add, edit or delete Users in the P Squared Directory.


Directory > Can Add / Edit / Delete Contact Categories

The User (or members of a User Group) is allowed to add, edit or delete Contact Categories in the P Squared Directory.


Directory > Can have Personal Websites

The User (or members of a User Group) is allowed to add personal websites to the website lists in Myriad Manager.


Directory > Can Add / Delete Websites

The User (or members of a User Group) is allowed to add or delete websites from the shared websites section of PowerLog Client.


Directory > Can Add / Edit / Delete Websites

The User (or members of a User Group) is allowed to add, edit or delete websites categories from the shared websites section of PowerLog Client.


Directory > Can Edit P Squared Directory Settings

The User (or members of a User Group) is allowed to edit settings in the Directory Settings window.


Directory > Can View P Squared Directory History

The User (or members of a User Group) is allowed to view P Squared Directory History which is a history of Users movements and actions in PowerLog.


PowerLog Permissions > General Tab

Directory Path – This allows you to set a separate location path for the PowerLog Client to use when this Contact logs in. N.B. If you type a path in to this section then the Path option in Customise PowerLog Client will be disabled.

Can Edit PowerLog Client Settings – Provides access to the PowerLog Client Settings menu for the Contact.

Can Use PowerLog Client Directory Manager – Provides access to the Contact Management section (this section) for the Contact.


PowerLog Permissions > View Tab

This customise option only applies to Serial Marks and allows you to set the level of detail that PowerLog Client will display. In Basic mode, PowerLog Client will only display the basic information whilst in Advanced and Engineer modes, progressively more technical detail will be displayed.


PowerLog Permissions > Compilation Tab

This section allows you to alter the Station Formats that the Contact will have access to when using the system. To alter the any of the Station Formats, click on them and then change the settings using the Format Settings window.

You can also tick the ‘Allow The User To Choose Custom Formats’ button determine whether the Contact can set their own Custom Formats.


The Notes Tab

This tab allows you to add text notes for the Contact you are working on.


PowerLog Directory Manager

The PowerLog Directory Manager option on the Tools menu provides access to the Directory Manager which is used to provide seamless access to logs stored on two or more PowerLog Capture systems.

But what is a PowerLog Directory and is it related to the P Squared Contact Directory?

It is a little confusing but the two are not related in any way. The role of each is outlined below.

P Squared Contacts Directory – This is an integrated contact and permissions system that runs through several P Squared products.

PowerLog Directory – This is essentially a list of two or more PowerLog Capture systems and it allows PowerLog Client to access logs stored on different PowerLog systems without having to change any settings.

The diagram above shows a typical setup for a station that operates more than one PowerLog Capture systems. In this example, there are two PowerLog Capture systems each logging multiple stations. Under normal circumstances, the PowerLog Client would be configured to access logs from either the ‘Hot Radio’ box or the ‘Cool Radio’ box but by adding in a PowerLog Directory that lists the location of both PowerLog Capture systems and then configuring PowerLog Client to use the PowerLog Directory instead, all of the station logs will be available via the File > Select Log menu option.

The PowerLog Directory Manager option on the Tools menu provides access to the PowerLog Directory Manager window which allows you to create and manage PowerLog Directory files.

New Directory – Creates a new Directory file for you to work with.

Load Directory – Loads a previously saved Directory file.

Save Directory – Saves the current Directory file.

Merge Multiple Directories – Allows you to add the contents of another (previously saved) Directory file in to the currently loaded file.

Add Log To Directory – Add the location of a log to the current Directory file.

Edit Details – Edit the details for the highlighted Log

Move Up List – Moves the Log up the list of Logs. The reason this is important is it dictates the order in which they will appear on ‘Select Log’ menu option on the File menu.

Move Down List – This moves the selected Log down the list.

Remove Log From Directory – Removes the Log from the loaded Directory file.

List Of Logs – Shows the list of Logs included in the Directory file.


Adding A Log to The Directory File

You can add a Log to the Directory File by clicking on the Add Log button.

This will open the Edit Log Entry window which is used to select the location of the Log files and to set the name of the Log as it will appear in PowerLog Client.

The Log Location is the location of the Powerlog.ini file that is usually in the ‘root’ folder for the Log in which the individual folders for each day are stored. You can select this location by clicking on the Browse button.

So in this example, there is a folder on the C drive called ‘Purgatory FM’ which PowerLog is using to store the logs it is recording. It does this by creating a folder for each day it records.

What you can not see in this screen shot is that as well as the folders for each day, there is also a ‘powerlog.ini’, this is what is used to build the entry for the Log in the Directory file.

So by selecting this folder (in this example c:\powerlogFM), we add the Logs details to the Directory file.

The Log Name is read directly from the ‘powerlog.ini’ file so you do not have to type this in by default but if you wish to alter it, you can do so on the Edit Log Entry window.


Editing Log Entries

You can edit Log entries in the Directory file by highlighting them and clicking the Edit Details button.

This will open the Edit Log Entry window which allows you to edit the location of the ‘powerlog.ini’ file in use or the name of the Log as it will appear in PowerLog Client.


Menu Options

The following menu options are available on the directory Manager.

File>New – Creates a new PowerLog Directory file.

File>Open – Opens an existing PowerLog Directory file.

File> Save – Saves the current PowerLog Directory file.

File>Save As – Saves the current PowerLog Directory file as a new file.

File>Exit – Closes the PowerLog Directory Manager.

Settings>Open Last Directory On Startup – Toggles whether PowerLog Client will open the last Directory file automatically when it starts.

Help>About – Displays information about PowerLog Directory Manager.


The Settings Menu

The Settings menu offers access to Program Settings and Directory settings options.

Program Settings – Offers general sound card and audio related settings as well as allowing you to alter the way in which PowerLog Client loads and updates Hardware Marks.

Directory Settings – Allows you to alter the location that PowerLog Client will use to access the P Squared Contacts Directory as well as setup and manage security groups and backups of the P Squared Contacts Directory.


Program Settings

The Program Settings window allows you to set the soundcard that PowerLog Client will use to play audio as well as the default sample rate.

In addition, you can set the way PowerLog Client will load and update Hardware Marks when it first starts.


Audio Settings

Sound Card – Use the drop down list to select the sound device (sound card) that you want PowerLog Client to use when playing audio.

Sample Rate – Use the drop down list to select the sample rate that you want PowerLog Client to use for playback. N.B. This should normally be set at 44,100Hz.

Channels – Allows you to select mono or stereo for playback.


Mark Settings

Automatically Load Marks List – This setting allows you to toggle between whether PowerLog Client will automatically load Mark Lists when it starts up.

Automatically Update Mark Lists Once They Are Loaded – This toggle allows you to prevent PowerLog Client from automatically updating the list of Marks even when it detects new Marks to add to the current list. You may switch this option off if you have a very slow machine or a large number of marks but you do not want PowerLog Client to ever pause in playback.


Directory Settings

The Directory Settings option on the Settings menu offers access to the Directory Settings window which is there to instruct PowerLog Client as to which P Squared Directory it should be using to configure the use of the Directory itself.


The General Tab

The General tab is used to set the location of the P Squared Directory database file that you wish PowerLog Client to use as well as what PowerLog Client should do when you first set up your Directory.

You can also administer any stand-alone P Squared Directory Manager software licenses that you may have purchased in addition to PowerLog.


Directory Database Path

This Path setting is used to set the location of the P Squared Directory Database that PowerLog Client will use to access the Database.

To alter this setting, click on the Change button and then use the Browse for Folder window to select the folder that your Directory Database is located in or the folder that you wish to create it in if you are working on a new database.

Once you are happy with the location, click on the OK button.

Please note that if you select a Directory Database Path from here that does not contain a valid P Squared Database File, PowerLog Client will ask you whether it should create a Directory in the folder the next time it restarts.

Click on the Yes button to create a P Squared Directory in the selected folder.


Automatically create Users when they first use Directory Enabled Software

If you tick the ‘Automatically create Users’ option on the General tab of Directory Settings then PowerLog Client will automatically create a User contact for the Windows login name and password.


Other Licensed Computers > Number of Computers Allowed

This is an unusual setting for PowerLog Client as it does not relate directly to PowerLog but rather to the stand-alone P Squared Directory Manager application which enables standard PCs to access the P Squared Directory without any other P Squared products being installed.

The stand-alone Directory Manager licenses can be purchased at a low cost from sales@psquared.net. Each PC that has the Directory Manager installed needs a separate license but the licensing model used for the Directory Manager is much simpler than the model used for Myriad. This means that if you purchased 10 Directory Manager licenses (they are £30 each at time of writing) then you would have a single license code that actually allowed up to 10 PCs on your network to ‘hold’ a Directory Manager license at any one time.

The license code issued by P Squared can be entered in this section, you can also assign one of the licenses to the PC you are working on.

The Other Licensed Computers panel shows a summary of the amount of stand alone Directory Manager licenses you have and how many have been assigned. You can enter, or update your Directory Manager license code by clicking on the Change button.

This opens the Computer Licenses window. To alter the License Name or License Code, click on the Change button and type in the relevant details.

Once you are happy, click on the Set button.

The Lower section of the window shows a list of PCs that the Directory Manager licenses are currently allocated to.

The buttons to the right of this list allow you to manage your license allocations.

Edit PC Name Details – Allows you to alter the PC name that the license is allocated to. Make sure you type in a valid PC network name.

Remove License Allocation – This removes the highlighted allocation freeing the license to be used by another computer.

Update List – This option updates the list based on the latest network information.

When you are happy, click on the OK button to save the changes and close the window.


The Security Tab

The Security tab shows a list of all the available Security User Groups within the currently selected P Squared Directory and allows you to add new Security User Groups, edit the existing groups and delete groups entirely.

The buttons down the right hand side of the window allow you to add, edit and remove Security User Groups. These options are examined in more detail below.


Adding a New Security User Group

To add a new Security User Group, click on the Add Group button.

PowerLog Client will then add a Security User Group to the list with a default title, type in your preferred User Group title and press the <Enter> key on your keyboard.

Your new Security User Group is added to the system.

Important Note: Please note that the top User Security Group in this list is the default User Security Group for all new Users added to the system so this Security Group should only include the minimum security permissions that you want Users to have. That way, if you create a new User but forget to assign a Security User Group, they will only have minimal access rights on your system.


Renaming a Security User Group

To rename an existing Security User Group, highlight the group that you want to rename and then click on the Rename Group button.

You can then type in a new title for your Security Group.

Once you have renamed the Group, press the <Enter> key on your keyboard.


Edit Security User Group Settings

Clicking on this button will open the Security User Group Permissions window which is used to assign security permissions for individual Users or Security User Groups.


Delete Security User Group

This option is used to delete the highlighted Security User Group from the system. When you click on this option, you will be asked to confirm that really do want to delete the User Group.

If you click on Yes then the Security User Group will be deleted, however, this can only happen if there are no Users within the Security Group. If there are one or more Users still within the Security User Group then PowerLog Client will not allow the Group to be deleted.


The Backup Tab

The Backup tab allows you to configure the regularity with which PowerLog Client takes backup copies of the P Squared Directory database in case of emergency or accidental deletion.

To enable PowerLog Client’s automatic backup of Directory databases, tick the ‘Automatically ‘backup’ the Directory Database periodically’ option at the top of the tab.

Caution: Think carefully before disabling this option. PowerLog Client will automatically create backup files and automatically delete older backup files so the whole process is maintenance free, therefore there is little point in disabling this useful feature!


How Often Should These Backups Be Created

This section of the window allows you to set the regularity with which PowerLog Client backs up your Directory database. The options are:

Backups should be created once an hour – PowerLog Clientwill take a copy each hour of the day. This is the safest option but it generates a lot of backup files. You probably do not need to use this option unless you add and remove a lot of Users each day.

Backups should be created once a day (Recommended) – PowerLog Client will take a backup copy once a day. This is the recommended option as it keeps your database safe but does not generate too many backup files.


Delete Backups After X Days

This section allows you to set the amount of days after which PowerLog Client will automatically delete older backup files. This means that if you set this to 7 days (for example), Myriad would keep a rolling 7 days of backup files.

You can set this to 0 (zero) then Myriad will not automatically delete any backups that it creates.


The Help Menu

The Help menu offers access to the PowerLog Client help system as well as additional information.


Help Menu Options

Contents – Access to the PowerLog Client help system.

Search – Search the PowerLog Client help system for the information that you need.

Create P2 Support File – Creates a special information file that can be uploaded to P Squared (or send on CD) to help diagnose problems (see below).

Updates – Displays a text file with notes on the latest features and revisions for PowerLog Client.

P Squared Web Site – Provides access to a number of P Squared or PowerLog Client related websites and resources.

About – Displays the key information about PowerLog Client including the exact version of the software you are using. This exact version number is important and should be quoted whenever you contact P Squared for technical assistance as it lets us know which version of the software you are using.


Create P Squared Support File

A P Squared Support File is a special information file that can be uploaded to P Squared (or send on CD) to help diagnose problems. The file includes details about your system and the versions of software you are using as well as more specific information relating you your problem.

Clicking on the Create P Squared Support File option will open the Create P Squared Support File window which allows you to add in the all the information that you need in order to create a P Squared Support file. Some of this information will be supplied by the P Squared Technical Support Engineer who has requested the file. The details you need to enter are outlined below:


P Squared Support ID

This is a unique ID number that is assigned by P Squared for the support issue that you are currently working on. Every time you contact P Squared with a new technical support enquiry, the P Squared support system automatically assigns a unique ID number that allows us to track your support issue, recall the details if you contact us again and to ensure that we do not have issues that go unresolved.

You will usually be generating a Support File at the request of the Technical Support Engineer who is dealing with your enquiry and they should provide you with the Support ID for issue you are working on when they request the Support File. You will also find the Support ID at the top of all emails you receive with respect to the issue you are working on. If you do not have a Support ID, please contact P Squared prior to generating the Support File.


Start / End Dates / Times

You can use these settings to set the Start and End Dates for the Logs that you want to be included in the Support File being generated.

Use the drop-down option to select the dates and times that you want to include.

If your technical enquiry relates to a specific period in the Log you are working on and it is not too long (keeping in mind it will need to be uploaded to our technical site) then you can use this setting to include the affected period in the log with your Support file.


Send Data Only (No Audio)

If this option is ticked then all associated date for the selected time period will be sent to P Squared for analysis but the actual audio files will not. So if your problem is to do with Hardware Marks then you can tick this option but if you problem is with the audio then you will need to leave this option unticked.


Send P Squared Directory

This option will include the P Squared Directory database as part of the Support File being generated. Normally, this option would only need to be ticked if your support issue is related to Users or User History but the P Squared Directory does contain a great deal of information so under some circumstances the Support Engineer may request that you include it even if the link is not apparent.


Reason for sending Support File

This field allows you to type in a brief summary of the reason for generating the Support File. Normally, you would be asked to generate a Support File as part of an ongoing support issue and the Support ID will identify the support issue so P Squared will already know what the support issue is about, but it is a good idea to write a quick summary to avoid any confusion.


Edit Personal Details

The Support File generated contains a range of additional information on top of the options selected (such as registry keys etc). One of the information types included in the Support File are the contact details of the person sending the Support File. By default, Myriad will use the Contact Details entered when you initially licensed the product but you can alter this information by clicking on the Edit Personal Details button.

When you are happy with the personal details that will be sent, click on the OK button.


Make File

The Make File button is used to actually generate the Support File.

While Myriad is working to generate the Support File, you will see a progress bar along the bottom of the screen showing how far there is to go. You can click on Stop to abandon the process if you wish.

Once the process is finished, you will be asked whether you wish to automatically upload the Support File to P Squared.

If the workstation you are working on has a web connection then you can click on Yes and Myriad will automatically upload the file to the special support FTP site. This is then accessed directly by the P Squared internal support system and support engineers are alerted to its arrival.

Depending on the size of the Support File, the Station Database and any Carts Included, the process can take anything frm a few minutes to several hours. Progress is displayed along the bottom of the window and you can abandon the send process by clicking on Stop if you wish.

Once the Support File has been uploaded, you get a message confirming that it was successfully sent.

If you do not have a web connection on the PC you are working on then you need to select No at the automatically upload stage.

If you select No then you can choose a file name and location for the Support File. You can then send it to P Squared as an email or burn it to disk to be sent at your convenience.

Support Files are a vital part of the technical support offered by P Squared so being familiar with this section of PowerLog Client is a good idea.